{% extends 'base.html.twig' %}

{% block title %}Review - {{ product.name }}{% endblock %}

{% block body %}
    <h1><a href="{{ path('product_list_in_category', {category:product.category.id}) }}">{{ product.category.name }}</a> > {{ product.name }}</h1>
    {% if is_granted('ROLE_ADMIN') %}
        <a class="btn btn-success" href="{{ path('product_edit', {product:product.id}) }}">Éditer le produit</a>
        <a class="btn btn-primary" href="{{ path('picture_add', {product:product.id}) }}">Ajouter une photo</a>
    {% endif %}
    <h2>Détails du produit</h2>
    <div class="row">
        {% for picture in product.pictures %}
            <div class="col-3">
                <div class="card" >
                    <img class="card-img-top" src="{{ asset('uploads/pictures/' ~ picture.url) }}" alt="Photo du produit">
                    {% if is_granted('ROLE_ADMIN') %}
                    <div class="card-body">
                        {% if picture == product.thumbnail %} <p>Cette photo est la vignette de l'article.</p> {% endif %}
                        <a class="btn btn-danger" href="{{ path('picture_delete', {picture:picture.id}) }}">Supprimer</a>
                        <a class="btn btn-primary" href="{{ path('picture_thumbnail', {product:product.id,picture:picture.id}) }}">En tant que vignette</a>
                    </div>
                    {% endif %}
                </div>
            </div>
        {% endfor %}
    </div>
    <br>
    <a href="{{ path('review_list_in_product', {product:product.id}) }}">Voir les avis sur le produit</a>
{% endblock %}
